summaryrefslogtreecommitdiffstats
path: root/system/dosbox
diff options
context:
space:
mode:
author ponce <matteo.bernardini@gmail.com>2012-08-15 08:47:01 +0200
committer Robby Workman <rworkman@slackbuilds.org>2012-08-21 08:55:25 -0500
commit11d0e8aa163fa48596960c0afe0e2d11aa65f0ec (patch)
treec6074d1cd6eee7794d1a5067c81ebe337b58fb1c /system/dosbox
parent63ea1bca9e4cd63bf79eac0f922eba121a030938 (diff)
downloadslackbuilds-11d0e8aa163fa48596960c0afe0e2d11aa65f0ec.tar.gz
slackbuilds-11d0e8aa163fa48596960c0afe0e2d11aa65f0ec.tar.xz
system/dosbox: Added a patch for gcc>=4.6
This commit also adds a "set -e" and noted SDL_sound as an optional dependency. Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'system/dosbox')
-rw-r--r--system/dosbox/README2
-rw-r--r--system/dosbox/dosbox-0.74-gcc46.patch10
-rw-r--r--system/dosbox/dosbox.SlackBuild7
3 files changed, 17 insertions, 2 deletions
diff --git a/system/dosbox/README b/system/dosbox/README
index 663145eea8..8b5b39a1fd 100644
--- a/system/dosbox/README
+++ b/system/dosbox/README
@@ -1,3 +1,5 @@
DOSbox is a DOS emulator/virtual machine for X11 and Unix.
It allows you to play many of the old games you grew up loving,
as well as many apps designed to run on DOS.
+
+SDL_sound is an optional dependency.
diff --git a/system/dosbox/dosbox-0.74-gcc46.patch b/system/dosbox/dosbox-0.74-gcc46.patch
new file mode 100644
index 0000000000..16811d47d6
--- /dev/null
+++ b/system/dosbox/dosbox-0.74-gcc46.patch
@@ -0,0 +1,10 @@
+--- include/dos_inc.h.old 2011-04-28 08:46:04.505011354 +0200
++++ include/dos_inc.h 2011-04-28 08:46:27.104408178 +0200
+@@ -21,6 +21,7 @@
+ #ifndef DOSBOX_DOS_INC_H
+ #define DOSBOX_DOS_INC_H
+
++#include <cstddef>
+ #ifndef DOSBOX_DOS_SYSTEM_H
+ #include "dos_system.h"
+ #endif
diff --git a/system/dosbox/dosbox.SlackBuild b/system/dosbox/dosbox.SlackBuild
index f83f53c2e6..976a0218a5 100644
--- a/system/dosbox/dosbox.SlackBuild
+++ b/system/dosbox/dosbox.SlackBuild
@@ -25,7 +25,7 @@
PRGNAM=dosbox
VERSION=${VERSION:-0.74}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
# Automatically determine the architecture we're building on:
@@ -57,6 +57,7 @@ else
LIBDIRSUFFIX=""
fi
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -71,6 +72,9 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+# Fix building with gcc>= 4.6.x, thanks to gentoo people
+patch -p0 < $CWD/dosbox-0.74-gcc46.patch
+
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
@@ -85,7 +89,6 @@ CXXFLAGS="$SLKCFLAGS" \
make DESTDIR=$PKG
make install-strip DESTDIR=$PKG
-
find $PKG/usr/man -type f -exec gzip -9 {} \;
for i in $(find $PKG/usr/man -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done